/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatTableModule } from '@angular/material/table';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { RouterTestingModule } from '@angular/router/testing';
import { BCI_SHARED_INTL_PROVIDER, BciSharedModule, ModalWindowService } from '@bci-web-core/core';
import { UserService } from '../../../shared/user-service.service';
import { MdTableDemoComponent } from './md-table-demo.component';

describe('MdTableDemoComponent', () => {
  let component: MdTableDemoComponent;
  let fixture: ComponentFixture<MdTableDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [
          BciSharedModule,
          RouterTestingModule,
          MatSlideToggleModule,
          MatIconModule,
          MatTableModule,
          MatDialogModule,
          MatFormFieldModule,
          NoopAnimationsModule,
        ],
        declarations: [MdTableDemoComponent],
        providers: [UserService, ModalWindowService, BCI_SHARED_INTL_PROVIDER],
        schemas: [CUSTOM_ELEMENTS_SCHEMA],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(MdTableDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
